## drbl 1.9.6-11

=== sbin/Makefile ===
all: sbin

sbin:
	ln -fs drbl-fuh drbl-cp
	ln -fs drbl-fuh drbl-cp-host
	ln -fs drbl-fuh drbl-host-cp

	ln -fs drbl-fuh drbl-get-host
	ln -fs drbl-fuh drbl-host-get

	ln -fs drbl-fuh drbl-host-rm
	ln -fs drbl-fuh drbl-rm-host

	ln -fs drbl-fuh drbl-fuh-put
	ln -fs drbl-fuh drbl-fuh-get
	ln -fs drbl-fuh drbl-fuh-rm

	ln -fs drbl-fuu drbl-cp-user
	ln -fs drbl-fuu drbl-user-cp

	ln -fs drbl-fuu drbl-rm-user
	ln -fs drbl-fuu drbl-user-rm

	ln -fs drbl-fuu drbl-get-user
	ln -fs drbl-fuu drbl-user-get

	ln -fs drbl-fuu drbl-fuu-put
	ln -fs drbl-fuu drbl-fuu-get
	ln -fs drbl-fuu drbl-fuu-rm

	ln -fs drbl-useradd-file  drbl-userdel-file
	ln -fs drbl-useradd-list  drbl-userdel-list
	ln -fs drbl-useradd-range drbl-userdel-range

	ln -fs drbl-client-switch dcs
	ln -fs ../setup/drblsrv drblsrv
	ln -fs ../setup/drblpush drblpush
	ln -fs ../setup/drbl4imp drbl4imp

clean:
	rm -f  drbl-cp
	rm -f  drbl-cp-host
	rm -f  drbl-host-cp

	rm -f  drbl-get-host
	rm -f  drbl-host-get

	rm -f  drbl-host-rm
	rm -f  drbl-rm-host

	rm -f  drbl-cp-user
	rm -f  drbl-user-cp

	rm -f  drbl-rm-user
	rm -f  drbl-user-rm

	rm -f  drbl-get-user
	rm -f  drbl-user-get

	rm -f  drbl-fuh-put
	rm -f  drbl-fuh-get
	rm -f  drbl-fuh-rm
	rm -f  drbl-fuu-put
	rm -f  drbl-fuu-get
	rm -f  drbl-fuu-rm
	rm -f  drbl-userdel-file
	rm -f  drbl-userdel-list
	rm -f  drbl-userdel-range

	rm -f  dcs
	rm -f  drblsrv
	rm -f  drblpush

## drbl 1.9.6-30

=== Makefile ===
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
prefix = /${DESTDIR}
maindir = /opt/drbl/

all: drbl-sbin-link languages

drbl-sbin-link:
	@echo "Files linking..."
	$(MAKE) -C sbin all

languages:
	@echo "Files linking..."
	$(MAKE) -C lang all

install:
	install -d ${prefix}/$(maindir)/setup
	cp -a drblsrv drblpush drbl4imp files yum-repos rpm-md-repos ${prefix}/$(maindir)/setup/
	cp -a conf sbin bin lang doc pkg pki image ${prefix}/$(maindir)/
	install -d ${prefix}/usr/share/gdm/themes/drbl-gdm
	cp -a themes/* ${prefix}/usr/share/gdm/themes/drbl-gdm/

clean:
	$(MAKE) -C sbin clean
	$(MAKE) -C lang clean

## drbl 1.9.7-6

=== sbin/Makefile ===
--- 
+++ 
@@ -33,9 +33,6 @@
 	ln -fs drbl-useradd-range drbl-userdel-range
 
 	ln -fs drbl-client-switch dcs
-	ln -fs ../setup/drblsrv drblsrv
-	ln -fs ../setup/drblpush drblpush
-	ln -fs ../setup/drbl4imp drbl4imp
 
 clean:
 	rm -f  drbl-cp

## drbl 1.9.8-14

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install:
 	install -d ${prefix}/$(maindir)/setup
-	cp -a drblsrv drblpush drbl4imp files yum-repos rpm-md-repos ${prefix}/$(maindir)/setup/
+	cp -a files yum-repos rpm-md-repos ${prefix}/$(maindir)/setup/
 	cp -a conf sbin bin lang doc pkg pki image ${prefix}/$(maindir)/
 	install -d ${prefix}/usr/share/gdm/themes/drbl-gdm
 	cp -a themes/* ${prefix}/usr/share/gdm/themes/drbl-gdm/

=== sbin/Makefile ===
--- 
+++ 
@@ -65,5 +65,3 @@
 	rm -f  drbl-userdel-range
 
 	rm -f  dcs
-	rm -f  drblsrv
-	rm -f  drblpush

## drbl 1.9.8-28

=== lang/Makefile ===
all: bash-lang perl-lang

bash-lang:
	( cd bash; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

perl-lang:
	( cd perl; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

clean:
	( cd bash; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 es_ES.UTF-8 )
	( cd perl; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 es_ES.UTF-8 )

## drbl 1.10.31

=== debian/changelog ===
drbl (1.10.31-1) unstable; urgency=low

  * Initial release (Closes: #620722)

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 26 Dec 2011 19:25:31 +0100

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 8.0.0), quilt
Standards-Version: 3.9.2
Homepage: http://drbl.sourceforge.net/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, ash, ipcalc, wakeonlan,
 syslinux, syslinux-common
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
  1. http://drbl.sourceforge.net (English)
  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

## drbl 1.10.90

=== debian/changelog ===
drbl (1.10.90-1) unstable; urgency=low

  * upgraded to the newer upstream version
  * upgraded Standards-Version to 3.9.3
  * fixed a wrong default path in sbin/drblsrv-offline; Closes: #669277

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 18 Apr 2012 19:22:29 +0000

drbl (1.10.31-2) unstable; urgency=low

  * changed the path to the main configuration file to comply with FHS
  * made one command visible: drblsrv and provided a first manpage

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Dec 2011 15:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 8.0.0), quilt
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://drbl.sourceforge.net/
 
 Package: drbl

## drbl 1.11.1-1drbl

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 # PARTICULAR PURPOSE.
 #
+SHELL := /bin/bash
 prefix = /${DESTDIR}
 maindir = /opt/drbl/

## drbl 2.0.0

=== debian/changelog ===
drbl (2.0.0-drbl1) unstable; urgency=low

  * DRBL Version 2. New files arch so it's easier to be packaged in Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Aug 2012 15:04:53 +0800

drbl (1.12.19-1drbl) unstable; urgency=low

  * Minor improving in set-default-pxe-img.
  * The function get_pxecfg_image_block in drbl-functions should not be case sensitive for label name.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jul 2012 17:25:35 +0800

drbl (1.12.18-1drbl) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Jul 2012 19:25:33 +0800

drbl (1.12.17-1drbl) unstable; urgency=low

  * Forcing to run "make -C /var/yp all", i.e. not only "make -C /var/yp", when updating YP in drblpush.
  * Language files were updated. The warning about -z3 was removed. Thanks to mmx.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Jul 2012 21:57:44 +0800

drbl (1.12.16-1drbl) unstable; urgency=low

  * Some notes were added in drbl-sha1pass.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Jun 2012 11:37:20 +0800

drbl (1.12.15-1drbl) unstable; urgency=low

  * Improve drbl-sha1pass so that it will work for perl <=5.9.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Jun 2012 13:02:51 +0800

drbl (1.12.14-1drbl) unstable; urgency=low

  * Program mkswapfile was updated to skip mounting extended partition. Othewise it might be hang due to a mount bug.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Jun 2012 20:31:27 +0800

drbl (1.12.13-1drbl) unstable; urgency=low

  * Services ethtool, openssh-server and postfix were added to the checklists in start-srv-after-ifup.
  * Skip removing /lib/init/rw in Debian clients during bootinig.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jun 2012 21:49:10 +0800

drbl (1.12.12-1drbl) unstable; urgency=low

  * Environmental ADDRFAM=inet was added in start-srv-after-ifup so that mountnfs in if-up.d/ will be run.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Jun 2012 14:16:38 +0800

drbl (1.12.11-1drbl) unstable; urgency=low

  * Package ddrescue was removed from the packages list of Clonezilla live because it's no more in Debian Sid, and we already have gddrescue. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677101

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Jun 2012 22:24:41 +0800

drbl (1.12.10-1drbl) unstable; urgency=low

  * Updating Fedora netinstall as 17 in drbl.conf.
  * Updating function output_netinstall_syslinux_pxelinux_menu in drbl-functions so that Fedora 17 netinstall boot parameter inst.repo could be generated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Jun 2012 22:06:08 +0800

drbl (1.12.9-1drbl) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 May 2012 23:56:02 +0800

drbl (1.12.8-1drbl) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 May 2012 15:13:26 +0800

drbl (1.12.7-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 23:33:16 +0800

drbl (1.12.6-1drbl) unstable; urgency=low

  * Bug fixed: drbl-SL.sh failed to find vmlinuz for Clonezilla live iso in OpenSuSE 11.3. Thanks to melnikok for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 22:30:32 +0800

drbl (1.12.5-1drbl) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.
  * Package cifs-utils instead of smbfs is listed as Clonezilla live package
    in drbl.conf. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620847

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 20:06:31 +0800

drbl (1.12.4-1drbl) unstable; urgency=low

  * Netinstall for Ubuntu has changed to "lucid oneiric precise" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 04 May 2012 11:37:22 +0800

drbl (1.12.3-1drbl) unstable; urgency=low

  * Using Digest::SHA instead of Digest::SHA1 in drbl-sha1pass.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 May 2012 09:11:33 +0800

drbl (1.12.2-1drbl) unstable; urgency=low

  * TIMED_LIGHTDM_TIME_DEFAULT="30" was added in drbl.conf.
  * Autologin/Normallogin/Timelogin was added for lightdm in drbl-login-switch.
  * Program drbl-client-root-passwd now supports Ubuntu 12.04.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 May 2012 13:57:11 +0800

drbl (1.12.1-1drbl) unstable; urgency=low

  * Removing libdigest-sha1-perl from drbl.conf. It's no more in new GNU/Linux.
  * Using "udev" instead of "none" for mounting /dev in DRBL clients.
  * File drbl-client-boot.conf for Ubuntu 12.04 was added.
  * File drblpush was modified to make drbl work on Ubuntu 12.04.
  * A better file drbl-client-boot.conf for Ubuntu 11.10 was added. This should fix the issue that keyboard and mount not working on DRBL clients. Thanks to timothyshelley for reporting this issue.  Ref: https://sourceforge.net/projects/drbl/forums/forum/394008/topic/5189191
  * This release should support Ubuntu 12.04, but still not well tested.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 May 2012 13:47:42 +0800

drbl (1.11.15-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Apr 2012 09:56:42 +0800

drbl (1.11.14-1drbl) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Apr 2012 07:30:58 +0800

drbl (1.11.13-1drbl) unstable; urgency=low

  * Package vlan was added in Clonezilla live packages list in drbl.conf. Thanks to ggarland <ggarland_99 _at_ yahoo com> for this suggestion.



## drbl 2.0.1

=== debian/changelog ===
drbl (2.0.1-drbl1) unstable; urgency=low

  * Adding firstboot.DBN6.0.5.drbl for Debian 6.0.5.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 19:56:18 +0800

## drbl 2.0.3

=== debian/changelog ===
drbl (2.0.3-drbl1) unstable; urgency=low

  * Remove those related to "$DRBL_SCRIPT_PATH" from language files.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 14:45:17 +0800

drbl (2.0.2-drbl1) unstable; urgency=low

  * Bug fixed: get-assigned-hn-by-ip searched the wrong path.
  * Put the GPL text file instead of COPYING because ocs-iso, create-*-live need that.
  * Put the file license of fail-mbr.bin as BSD. Orgad Shaneh has decided the license.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 09:11:23 +0800

## drbl 2.0.4

=== debian/changelog ===
drbl (2.0.4-drbl1) unstable; urgency=low

  * Function get_latest_pkg_in_drbl_repository was added in drbl-funtions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Aug 2012 14:43:12 +0800

## drbl 2.0.5

=== lang/Makefile ===
all: bash-lang perl-lang

bash-lang:
	( cd bash; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

perl-lang:
	( cd perl; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

clean:
	( cd bash; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8)
	( cd perl; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8)

=== debian/changelog ===
drbl (2.0.5-drbl1) unstable; urgency=low

  * Function gen_CDG_checksums was added in drbl-funtions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Aug 2012 17:45:00 +0800

## drbl 2.0.8

=== debian/changelog ===
drbl (2.0.8-drbl1) unstable; urgency=low

  * Bug fixed: drblsrv-offline should be in /usr/sbin instead of /usr/share/drbl/sbi/.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 13 Aug 2012 11:15:51 +0800

drbl (2.0.7-drbl1) unstable; urgency=low

  * A better way to append drbl-related PATH was adopted.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 23:20:58 +0800

drbl (2.0.6-drbl1) unstable; urgency=low

  * Using /usr/share/drbl instead of /usr/share/drbl/ so that no "//" in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 22:36:44 +0800

## drbl 2.0.10

=== debian/changelog ===
drbl (2.0.10-drbl1) unstable; urgency=low

  * Using $desktop_user_group_debian instead of hardcoded strings in drblpush.  Thanks to dwight (http://sourceforge.net/tracker/?func=detail&atid=537327&aid=3559290&group_id=73280).

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Aug 2012 10:44:47 +0800

drbl (2.0.9-drbl1) unstable; urgency=low

  * Improvement: drbl-SL.sh now supports Clonezilla and GParted live zip file format.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 Aug 2012 10:52:58 +0800

## drbl 2.0.11

=== debian/changelog ===
drbl (2.0.11-drbl1) unstable; urgency=low

  * Bug fixed: Failed to parse boot parameter like: "mount UUID=X /mnt" in grub booting. Thanks to nottaken37 for reporting this issue (https://sourceforge.net/projects/clonezilla/forums/forum/663168/topic/5133379).
  * Variable msg_client_job_are_logged_in in language files was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Aug 2012 14:59:22 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 8.0.0), quilt
+Build-Depends: debhelper (>= 8.0.0), quilt, vim-common
 Standards-Version: 3.9.3
-Homepage: http://drbl.sourceforge.net/
+Homepage: http://drbl.org/
 
 Package: drbl
 Architecture: all
-Depends: ${misc:Depends}, perl, ash, ipcalc, wakeonlan,
+Depends: ${misc:Depends}, perl, bash, ipcalc, wakeonlan,
  syslinux, syslinux-common
 Description: diskless remote boot, and a disk cloning utility
  DRBL (Diskless Remote Boot in Linux) provides a diskless or
@@ -21,4 +21,4 @@
  .
  For more details, check
   1. http://drbl.sourceforge.net (English)
-  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)
+  2. http://drbl.nchc.org.tw (Traditional Chinese - Taiwan)

## drbl 2.0.13

=== debian/changelog ===
drbl (2.0.13-drbl1) unstable; urgency=low

  * Adding the interpreter's magic number for drbl-perl-functions, 
    drbl-conf-functions, and drbl-functions to avoid lintian's warning.
  * Updating debian/control to follow Debian's policy.
  * To follow Debian's policy, the program drbl-SL.sh was renamed as drbl-sl, 
    and drbl-live.sh was renamed as drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Aug 2012 19:13:59 +0800

drbl (2.0.12-drbl1) unstable; urgency=low

  * A typo in language file en_US was fixed.  Thanks to René Mérou.
  * Function gen_CDG_checksums will generate a html format for CHECKSUMS file.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 22 Aug 2012 17:03:56 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: drbl
 Section: admin
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Steven Shiau <steven@nchc.org.tw>
+Uploaders: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 8.0.0), quilt, vim-common
 Standards-Version: 3.9.3
 Homepage: http://drbl.org/
 
 Package: drbl
 Architecture: all
-Depends: ${misc:Depends}, perl, bash, ipcalc, wakeonlan,
+Depends: ${misc:Depends}, perl, bash (>= 4.0.0), ipcalc, wakeonlan,
  syslinux, syslinux-common
 Description: diskless remote boot, and a disk cloning utility
  DRBL (Diskless Remote Boot in Linux) provides a diskless or

## drbl 2.1.1

=== debian/changelog ===
drbl (2.1.1-drbl1) unstable; urgency=low

  * Bug fixed: /usr/share/drbl/{sbin,bin} was not in the PATH in init.drbl.
  * Removing the vague "Something went wrong" prompts.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Aug 2012 10:19:44 +0800

drbl (2.1.0-drbl1) unstable; urgency=low

  * Updating files in dir debian so less lintian warnings.
  * 

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 11:21:58 +0800

drbl (2.0.14-drbl1) unstable; urgency=low

  * Files renamed, so using ocs-srv-live instead of ocs-srv-live.sh, 
    drbl-sl instead of drbl-SL.sh.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 07:33:23 +0800

## drbl 2.1.2

=== debian/changelog ===
drbl (2.1.2-drbl1) unstable; urgency=low

  * Language files were updated. Variable "msg_autoproductname_is_a_reserved" 
    was added, and a typo en en_US was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Aug 2012 14:20:58 +0800

## drbl 2.1.3

=== debian/changelog ===
drbl (2.1.3-drbl1) unstable; urgency=low

  * A shell script "drbl-run-parts" was added.
  * Package "crontabs" is no more required for Fedora as now we use 
    drbl-run-parts.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Sep 2012 07:25:38 +0800

## drbl 2.1.4

=== debian/changelog ===
drbl (2.1.4-drbl1) unstable; urgency=low

  * Comments in drbl-ipcalc-list were updated.
  * Bug fixed: drbl-ipcalc-list should skip network and broadcast IP address.
  * Bug fixed: when OS_Version does not match, drblpush should use the most related rc.sysinit and halt files for clients. Othereise the possibility that clients fail to boot will be high.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Sep 2012 14:48:11 +0800

## drbl 2.1.5

=== debian/changelog ===
drbl (2.1.5-drbl1) unstable; urgency=low

  * Avoiding the warning messages when running Debian 6.0.6.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Oct 2012 09:13:07 +0800

## drbl 2.1.6

=== debian/changelog ===
drbl (2.1.6-drbl1) unstable; urgency=low

  * Ubuntu Quantal netinstall was enabled in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 Oct 2012 20:04:45 +0800

## drbl 2.1.7

=== debian/changelog ===
drbl (2.1.7-drbl1) unstable; urgency=low

  * Bug fixed: Failed to serve Fedora 17. The patches from 
    Ceasar Sun were merged. Some minor bugs still have to be fixed later.
  * Bug fixed: Files for Ubuntu 12.10 were added. It should be able 
    to serve ubuntu 12.10.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Oct 2012 08:28:35 +0800

## drbl 2.1.8

=== debian/changelog ===
drbl (2.1.8-drbl1) unstable; urgency=low

  * Bug fixed: Some bugs for Fedora 17 were fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 09:19:34 +0800

## drbl 2.1.10

=== debian/changelog ===
drbl (2.1.10-drbl1) unstable; urgency=low

  * Bug fixed: yum repository files drbl-*-list should use "$basearch" instead of "$ARCH" so that the architecture could be correct.
  * Bug fixed: for CentOS/RHEL 6 or Fedora 17, dracut instead of mkinitrd is required. Therefore using PKG_TO_QUERY="mkinitrd dracut" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 19:54:59 +0800

drbl (2.1.9-drbl1) unstable; urgency=low

  * Bug fixed: YP update command for Fedora 17 was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 10:57:35 +0800

## drbl 2.1.11

=== debian/changelog ===
drbl (2.1.11-drbl1) unstable; urgency=low

  * Bug fixed: typos in drbl-all-service were fixed.
  * Bug fixed: the warning about fine-tune rc.sysinit and halt should not be given for Fedora 17 since there is no such files exist.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 20:37:01 +0800

## drbl 2.1.12

=== debian/changelog ===
drbl (2.1.12-drbl1) unstable; urgency=low

  * Bug fixed: kernel package of FC17 on repository could not be found.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 13 Oct 2012 22:16:43 +0800

## drbl 2.1.15

=== debian/changelog ===
drbl (2.1.15-drbl1) unstable; urgency=low

  * Bug fixed: Some problem for linking /var/run and /var/lock on Fedora 17. Reverted to the previous status.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Oct 2012 21:17:54 +0800

drbl (2.1.14-drbl1) unstable; urgency=low

  * More comments were added for not getting IPv6 in drbl-get-ipadd and init.drbl.
  * Bug fixed: Linked files /var/run and /var/lock were not copied in client's /var/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Oct 2012 20:40:13 +0800

drbl (2.1.13-drbl1) unstable; urgency=low

  * Bug fixed: IPv6 address should not be gotten since for the NFS of DRBL only IPv4 is supported.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 14 Oct 2012 13:21:24 +0800

## drbl 2.1.16

=== debian/changelog ===
drbl (2.1.16-drbl1) unstable; urgency=low

  * Bug fixed: Some more minor bugs fixed for Fedora 17 were applied.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 10:32:53 +0800

## drbl 2.1.17

=== Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
SHELL := sh -e
DESTDIR =
SHAREDIR = /usr/share/drbl/

SCRIPTS = bin/* sbin/* $(SHAREDIR)/sbin/* $(SHAREDIR)/bin/*

all: drbl-sbin-link languages fail-mbr

build:
	@echo "Nothing to build."

drbl-sbin-link:
	@echo "Files linking..."
	$(MAKE) -C sbin all

fail-mbr:
	@echo "Creating fail-mbr.bin..."
	$(MAKE) -C pkg/misc all

languages:
	@echo "Files linking..."
	$(MAKE) -C lang all

install:
	# install exec files
	install -d $(DESTDIR)/usr/
	cp -a sbin bin $(DESTDIR)/usr/
	rm -f $(DESTDIR)/usr/sbin/Makefile
	# install setup dir
	install -d $(DESTDIR)/$(SHAREDIR)/
	cp -a setup $(DESTDIR)/$(SHAREDIR)/
	# install other shared files
	cp -a lang doc pkg pki image prerun postrun scripts/sbin scripts/bin $(DESTDIR)/$(SHAREDIR)/
	# erase an extra COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/Makefile $(DESTDIR)/$(SHAREDIR)/lang/Makefile
	# install config files
	install -d $(DESTDIR)/etc/drbl/
	cp -a conf/* $(DESTDIR)/etc/drbl/
	# install themes
	install -d $(DESTDIR)/usr/share/gdm/themes/drbl-gdm
	cp -a themes/* $(DESTDIR)/usr/share/gdm/themes/drbl-gdm/

clean:
	$(MAKE) -C sbin clean
	$(MAKE) -C lang clean

=== lang/Makefile ===
--- 
+++ 
@@ -1,3 +1,11 @@
+# Makefile
+#
+# License: GPL
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+#
 all: bash-lang perl-lang
 
 bash-lang:

=== debian/changelog ===
drbl (2.1.17-drbl1) unstable; urgency=low

  * Bug fixed: dracut should not be listed in PKG_TO_QUERY, we have to put it in PKG_TO_QUERY_RH otherwise it will cause Ubuntu or Debian fail to finish drblsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 20:33:20 +0800

## drbl 2.1.18

=== debian/changelog ===
drbl (2.1.18-drbl1) unstable; urgency=low

  * Bug fixed: For Ubuntu 12.04 and 12.10, linux-image-extra should be 
    installed to. So we can support more hardware for DRBL clients.
  * Changed the default option for client's kernel arch to the same as 
    server for Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2012 22:00:39 +0800

## drbl 2.1.19

=== debian/changelog ===
drbl (2.1.19-drbl1) unstable; urgency=low

  * Bug fixed: sort and uniq should not be used in init.drbl since these programs are not in /bin instead they are in /usr/bin. This will cause Debian and Ubuntu drbl client fail to boot.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Oct 2012 09:12:30 +0800

## drbl 2.1.20

=== debian/changelog ===
drbl (2.1.20-drbl1) unstable; urgency=low

  * A function find_next_release_version_number was added for using in creating Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Oct 2012 15:17:14 +0800

## drbl 2.1.21

=== debian/changelog ===
drbl (2.1.21-drbl1) unstable; urgency=low

  * Bug fixed: version sorting option "-V" should be used with sort in 
    function find_next_release_version_number.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Oct 2012 22:22:42 +0800

## drbl 2.1.22

=== debian/changelog ===
drbl (2.1.22-drbl1) unstable; urgency=low

  * Bug fixed: /opt dir should be exported for NFS clients since some 
    packages (e.g. google-chrome) will be installed in that dir. 
    Thanks to Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 07:53:46 +0800

## drbl 2.1.23

=== debian/changelog ===
drbl (2.1.23-drbl1) unstable; urgency=low

  * Only when dir /opt exists, drbl-nfs-export will export that dir.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 08:21:54 +0800

## drbl 2.1.25

=== debian/changelog ===
drbl (2.1.25-drbl1) unstable; urgency=low

  * Bug fixed: exporting /opt/ should be appended, not overwritten 
    the previous exported dir.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 09:00:05 +0800

drbl (2.1.24-drbl1) unstable; urgency=low

  * Bug fixed: drbl clients should mount server's /opt/ when it 
    is exported on server.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 08:52:46 +0800

## drbl 2.1.26

=== debian/changelog ===
drbl (2.1.26-drbl2) unstable; urgency=low

  * Files halt.CO6.3.drbl and rc.sysinit.CO6.3.drbl were added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 20:55:19 +0800

drbl (2.1.26-drbl1) unstable; urgency=low

  * Bug fixed: "drbl_syscfg" instead of "drbl_setup_cfg" should be used, and 
    drbl_setup_cfg was removed from drbl.conf. Thanks to 
    Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Oct 2012 20:46:54 +0800

## drbl 2.1.27

=== debian/changelog ===
drbl (2.1.27-drbl1) unstable; urgency=low

  * Bug fixed: the service listed in /etc/drbl/client-extra-service was not on 
    on the client if it's not on on the server. Thanks to 
    Odin Nøsen <odin _at_ gnuskole no> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Oct 2012 10:15:30 +0800

## drbl 2.1.28

=== debian/changelog ===
drbl (2.1.28-drbl1) unstable; urgency=low

  * Bug fixed: typo of msg_autohostname_is_reserved_for_save_mode in en_US was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Oct 2012 10:41:50 +0800

## drbl 2.1.29

=== pkg/misc/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: fail-mbr

fail-mbr:
	xxd -r fail-mbr.txt fail-mbr.bin

clean:
	rm -f fail-mbr.bin

=== debian/changelog ===
drbl (2.1.29-drbl1) unstable; urgency=low

  * Bug fixed: no more removing ip=frommedia for PXE client as live-boot
    2.0.15-1.drbl15 and 3.x have no issue to use that. If it's removed, 
    Ubuntu-based Clonezilla live won't enter rc-sysinit.conf until failsafe.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Nov 2012 07:21:26 +0800

## drbl 2.1.30

=== debian/changelog ===
drbl (2.1.30-drbl1) unstable; urgency=low

  * Adding mpg123 for Clonezilla live. It might be useful to play sound
    when Clonezilla job is done. Thanks to FlyFox for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 02 Nov 2012 14:58:34 +0800

## drbl 2.1.31

=== debian/changelog ===
drbl (2.1.31-drbl1) unstable; urgency=low

  * Using syslinux/pxelinux 4.06 in drbl/clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Nov 2012 14:04:43 +0800

## drbl 2.1.32

=== debian/changelog ===
drbl (2.1.32-drbl1) unstable; urgency=low

  * Bug fixed: DRBL_SCRIPT_PATH was not set in drbl-conf-functions. 
    Thanks to explosions for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 06 Nov 2012 19:37:20 +0800

## drbl 2.1.33

=== debian/changelog ===
drbl (2.1.33-drbl1) unstable; urgency=low

  * Bug fixed: A workaround to identify initrd on CentOS 5 
    was added in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Nov 2012 13:15:50 +0800

## drbl 2.1.35

=== debian/changelog ===
drbl (2.1.35-drbl1) unstable; urgency=low

  *Language file ca_ES was added. Thanks to René Mérou and Innocent De Marchi.
  *Language file it_IT was updated. Thanks to Gianfranco Gentili.
  *Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  *Language file de_DE was updated. Thanks to Michael Vinzenz.
  *Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  *Language ca_ES was added in the Clonezilla live menu.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Nov 2012 20:04:04 +0800

drbl (2.1.34-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated and a typo in language file 
    en_US was fixed. Thanks to Juan Ramón Martínez (JRMC77 _at_ terra es).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Nov 2012 23:09:27 +0800

## drbl 2.1.36

=== debian/changelog ===
drbl (2.1.36-drbl1) unstable; urgency=low

  * Bug fixed: drbl ocs-live mode failed to download i686 version of 
    Clonezilla live in drblpush, because the file name should use *-i686-pae*.
  * Bug fixed: drbl-fuu failed to deal with file name with white space. 
    Thanks to <himaboy826 _at_ gmail com> for reporting this bug.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 09:20:37 +0800

## drbl 2.1.37

=== debian/changelog ===
drbl (2.1.37-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 09:27:55 +0800

## drbl 2.1.38

=== debian/changelog ===
drbl (2.1.38-drbl1) unstable; urgency=low

  * Language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 11:26:48 +0800

## drbl 2.1.39

=== debian/changelog ===
drbl (2.1.39-drbl1) unstable; urgency=low

  * Language files were updated. Using "Catalan | català" 
    instead of "Catalonia | Catalunya". 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 14:51:13 +0800

## drbl 2.1.41

=== debian/changelog ===
drbl (2.1.41-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Dec 2012 15:11:35 +0800

drbl (2.1.40-drbl1) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Bug fixed: no more using cdebootstrap when creating 
    Clonezilla/DRBL/GParted live, therefore the function 
    create_live_required_debian_based_prompt in drbl-functions should 
    check debootstrap, not cdebootstrap.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Dec 2012 11:31:47 +0800

## drbl 2.1.42

=== debian/changelog ===
drbl (2.1.42-drbl1) unstable; urgency=low

  * Typo in scripts/bin/drbl-langchooser for Catalan was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Dec 2012 15:57:21 +0800

## drbl 2.1.43

=== debian/changelog ===
drbl (2.1.43-drbl1) unstable; urgency=low

  * Bug fixed: Wrong path for the rerun command of drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 08:55:29 +0800

## drbl 2.1.44

=== debian/changelog ===
drbl (2.1.44-drbl1) unstable; urgency=low

  * Bug fixed: Wrong path for the rerun command of drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 09:02:52 +0800

## drbl 2.1.46

=== debian/changelog ===
drbl (2.1.46-drbl1) unstable; urgency=low

  * Language file es_ES of bash was updated. Thanks to Juan Ramón Martínez

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 23:06:16 +0800

drbl (2.1.45-drbl1) unstable; urgency=low

  * Language file zh_TW was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 09:51:30 +0800

## drbl 2.1.47

=== debian/changelog ===
drbl (2.1.47-drbl1) unstable; urgency=low

  * Adding package tree in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Dec 2012 15:17:03 +0800

## drbl 2.1.49

=== debian/changelog ===
drbl (2.1.49-drbl1) unstable; urgency=low

  * Bug fixed: Program makeboot.sh should check the destination disk
    is MBR or not.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Dec 2012 16:22:05 +0800

drbl (2.1.48-drbl1) unstable; urgency=low

  * Adding package exfat-utils and exfat-fuse in Clonezilla live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Dec 2012 10:53:59 +0800

## drbl 2.1.50

=== debian/changelog ===
drbl (2.1.50-drbl1) unstable; urgency=low

  * Bug fixed: parse_cmdline_option in drbl-function failed to parse boot 
    parameter containing "$" character. 
    Thanks to kuen-shieh yang <kuenshieh _at_ gmail com> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Dec 2012 22:34:54 +0800

## drbl 2.1.52

=== debian/changelog ===
drbl (2.1.52-drbl1) unstable; urgency=low

  * Package extlinux was added in the packages list for DRBL so then Clonezilla.
  * Program extlinux now will be put in dir util/linux/ 
    in Clonezilla/DRBL/GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Dec 2012 20:55:00 +0800

drbl (2.1.51-drbl1) unstable; urgency=low

  * Comments in drbl-functions were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Dec 2012 07:49:01 +0800

## drbl 2.2.0

=== debian/changelog ===
drbl (2.2.0-drbl1) unstable; urgency=low

  * Checking if blkid exists in makeboot.sh. Adding a prompt about GPT disk.
  * Package libdata-validate-ip-perl was added in the packages list for Clonezilla live.
  * Some big changes in the Clonezilla codes, therefore increase the 2nd major version number.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 14:12:42 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Steven Shiau <steven@nchc.org.tw>
 Uploaders: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 8.0.0), quilt, vim-common
+Build-Depends: debhelper (>= 9), quilt, vim-common
 Standards-Version: 3.9.3
 Homepage: http://drbl.org/
 
@@ -21,5 +21,5 @@
  Image(TM).
  .
  For more details, check
-  1. http://drbl.sourceforge.net (English)
-  2. http://drbl.nchc.org.tw (Traditional Chinese - Taiwan)
+ 1. http://drbl.sourceforge.net (English)
+ 2. http://drbl.nchc.org.tw (Traditional Chinese - Taiwan)

## drbl 2.2.1

=== debian/changelog ===
drbl (2.2.1-drbl1) unstable; urgency=low

  * Put option "-nogui" in the higher position of the menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Jan 2013 22:13:30 +0800

## drbl 2.2.2

=== debian/changelog ===
drbl (2.2.2-drbl1) unstable; urgency=low

  * Function active_proc_partitions was moved to ocs-functions from drbl-functions.
  * An option "-s" to assign syslinux version was added to drbl-syslinux-netinstall.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Jan 2013 15:34:11 +0800

## drbl 2.2.3

=== debian/changelog ===
drbl (2.2.3-drbl1) unstable; urgency=low

  * Bug fixed: drblpush failed to identify the new, different arch of iso for 
    the alternative testing Clonezilla live on the repository.
  * Language files (perl) were updated. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Jan 2013 11:00:39 +0800

## drbl 2.2.4

=== debian/changelog ===
drbl (2.2.4-drbl1) unstable; urgency=low

  * Bug fixed: makeboot.sh failed to run with path name containing white space.
  * Lucid netinstall was removed from drbl.conf since another LTS (precise) is available already.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Jan 2013 23:15:47 +0800

## drbl 2.2.5

=== debian/changelog ===
drbl (2.2.5-drbl1) unstable; urgency=low

  * Files about fail-mbr.bin have been removed since 
    now Partclone (>=0.2.58) has included that.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Jan 2013 11:36:15 +0800

## drbl 2.2.6

=== debian/changelog ===
drbl (2.2.6-drbl1) unstable; urgency=low

  * Netinstall version for Fedora was changed to 18 in drbl.conf.
  * Language file ca_ES for perl script was added. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Jan 2013 08:43:26 +0800

## drbl 2.3.0

=== debian/changelog ===
drbl (2.3.0-drbl1) unstable; urgency=low

  * The patches from Ceasar Sun for Fedora 17/18 were applied.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Feb 2013 11:03:23 +0800

## drbl 2.3.2

=== debian/changelog ===
drbl (2.3.2-drbl1) unstable; urgency=low

  * Package udisks was added the packages list for Clonezilla live.  
    Thanks to fusi1939 for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 Feb 2013 22:41:44 +0800

drbl (2.3.1-drbl1) unstable; urgency=low

  * Bug fixed: for Syslinux 5, 3 more files are required, i.e. 
    ldlinux.c32, libcom32.c32, libutil.c32

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Feb 2013 14:29:18 +0800

## drbl 2.3.3

=== debian/changelog ===
drbl (2.3.3-drbl1) unstable; urgency=low

  * Excluding linux kernel with name "-dbg" for Debian-based DRBL.
  * Bug fixed: for Syslinux 5, 3 more files are required to be put in /tftpboot/nbi_img/, 
    i.e. ldlinux.c32, libcom32.c32, libutil.c32.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 20:10:54 +0800

## drbl 2.3.4

=== debian/changelog ===
drbl (2.3.4-drbl1) unstable; urgency=low

  * Bug fixed: typo in prepare-files-for-PXE-client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 20:20:34 +0800

## drbl 2.3.5

=== debian/changelog ===
drbl (2.3.5-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.0.drbl for Debian 7.0.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 22:40:30 +0800

## drbl 2.3.7

=== debian/changelog ===
drbl (2.3.7-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Feb 2013 14:26:29 +0800

drbl (2.3.6-drbl1) unstable; urgency=low

  * Variable msg_ocs_param_srel was added in language files.
  * An option -srel|--save-restore-error-log to force saving error log in the 
    image dir was added in clonezilla SE related menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Feb 2013 14:44:15 +0800

## drbl 2.3.8

=== debian/changelog ===
drbl (2.3.8-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Feb 2013 21:50:57 +0800

## drbl 2.3.9

=== debian/changelog ===
drbl (2.3.9-drbl2) unstable; urgency=low

  * Updated control, removing syslinux-common required since syslinux is
    listed. vim-common is removed, since fail-mbr.bin is from partclone. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 10:39:39 +0800

drbl (2.3.9-drbl1) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Feb 2013 10:37:27 +0800

## drbl 2.3.12

=== debian/changelog ===
drbl (2.3.12-drbl1) unstable; urgency=low

  * Bug fixed: we should also test udevd since the udev on CentOS 5.9
    is older version. Thanks to Aaron for reporting this issue.
  * Files halt and rc.sysinit for CentOS 5.9's client were added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Mar 2013 13:41:24 +0800

drbl (2.3.11-drbl1) unstable; urgency=low

  * File firstboot.DBN6.0.7.drbl for Debian 6.0.7 was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Mar 2013 08:40:32 +0800

drbl (2.3.10-drbl1) unstable; urgency=low

  * Bug fixed: extlinux should be required for Clonezilla live, not DRBL.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 11:00:16 +0800

## drbl 2.3.13

=== debian/changelog ===
drbl (2.3.13-drbl1) unstable; urgency=low

  * Bug fixed: alias network card configuration can not be parsed. 
    Thanks to Pat Gilbert <pat.gilbert _at_ gmail com> for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Mar 2013 13:47:34 +0800

## drbl 2.3.14

=== debian/changelog ===
drbl (2.3.14-drbl1) unstable; urgency=low

  * Language files were updated. Words about Etherboot were removed.
  * The prompt about etherboot required was removed from drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Mar 2013 09:45:35 +0800

## drbl 2.3.15

=== debian/changelog ===
drbl (2.3.15-drbl1) unstable; urgency=low

  * Bug fixed: for restoreparts mode, we should not turn on "-g auto" 
    option by default. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Mar 2013 10:04:47 +0800

## drbl 2.3.17

=== debian/changelog ===
drbl (2.3.17-drbl1) unstable; urgency=low

  * SHA256SUMS will be created by function gen_CDG_checksums.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Mar 2013 15:29:55 +0800

drbl (2.3.16-drbl1) unstable; urgency=low

  * DSL and Puppylinux were removed from the supporting list in drbl-sl.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Mar 2013 14:47:55 +0800

## drbl 2.3.19

=== debian/changelog ===
drbl (2.3.19-drbl1) unstable; urgency=low

  * Message msg_etherboot_5_4_is_required in drbl-sl was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Mar 2013 21:20:22 +0800

drbl (2.3.18-drbl1) unstable; urgency=low

  * When the DNS server in /etc/resolv.conf is 127.0.0.1 from network-manager,
    the real DNS got from nm-tool will be used for DRBL clients. 
  * Excluding LXC network deivce lxc* because they won't be DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 Mar 2013 14:56:08 +0800

## drbl 2.3.21

=== debian/changelog ===
drbl (2.3.21-drbl1) unstable; urgency=low

  * Juan Ramón Martínez's email address in the language files were updated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Mar 2013 08:32:41 +0800

drbl (2.3.20-drbl1) unstable; urgency=low

  * Bug fixed: i386 version of Clonezilla live was used when running drblpush
    with clonezilla_live_mode option 0. Thanks to Yitzon Belandria 
    <yitzon _at_ gmail com> for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Mar 2013 20:18:15 +0800

## drbl 2.3.22

=== debian/changelog ===
drbl (2.3.22-drbl1) unstable; urgency=low

  * Bug fixed: function set_ocs_sr_extra_param in drbl-functions has been 
    improved. If postrun action is assigned, we should not ask it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Mar 2013 17:12:33 +0800

## drbl 2.3.24

=== debian/changelog ===
drbl (2.3.24-drbl1) unstable; urgency=low

  * Suppress nm-tool stderr in drblpush in case the program is not installed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 Apr 2013 21:56:31 +0800

drbl (2.3.23-drbl1) unstable; urgency=low

  * If display manager is not found, skip the rest with different prompt
    in drbl-login-switch.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Apr 2013 14:13:24 +0800

## drbl 2.3.25

=== debian/changelog ===
drbl (2.3.25-drbl1) unstable; urgency=low

  * Function put_syslinux_makeboot_for_usb_flash in drbl-functions 
    was updated for Syslinux 5.x. Three more c32 modules are required.
  * Bug fixed: swapon command should not be run in background in mkswapfile,
    otherwise swap size might be not counted immediately.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Apr 2013 16:02:10 +0800

## drbl 2.3.26

=== debian/changelog ===
drbl (2.3.26-drbl1) unstable; urgency=low

  * Package f2fs-tools was added in the live CD packages list in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 20 Apr 2013 09:14:09 +0800

## drbl 2.3.27

=== debian/changelog ===
drbl (2.3.27-drbl1) unstable; urgency=low

  * Making ldlinux.c32, libcom32.c32, libutil.c32 downloaded from tarball mode 
    as 644, not vfat's 755.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Apr 2013 21:26:09 +0800

## drbl 2.4.1

=== debian/changelog ===
drbl (2.4.1-drbl1) unstable; urgency=low

  * Minor typo in en_US was fixed.
  * Package lziprecover was added.
  * Adding Ubuntu 13.04 in this release. Not well tested yet.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 May 2013 16:21:39 +0800

drbl (2.3.28-drbl1) unstable; urgency=low

  * Putting OpenSuSe netinstall version as 12.3 in drbl.conf.
 
 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Apr 2013 21:38:04 +0800

## drbl 2.4.2

=== debian/changelog ===
drbl (2.4.2-drbl1) unstable; urgency=low

  * Set "greeter-show-manual-login=true" for lightdm of DRBL client in drbl-login-switch.
  * Function restore_lvm2_udevd_rules was moved from ocs-functions to drbl-functions because it's required for Clonezilla SE.
  * Function disable_lvm2_udevd_rules was added in drbl-functions because it will be used in drblpush and ocs-lvm2-stop.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 May 2013 14:05:08 +0800

## drbl 2.4.5

=== debian/changelog ===
drbl (2.4.5-drbl1) unstable; urgency=low

  * Bug fixed: function drbl-functions failed to append /sbin/ in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 May 2013 14:32:48 +0800

drbl (2.4.4-drbl1) unstable; urgency=low

  * Adding package nwipe in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 May 2013 14:23:04 +0800

drbl (2.4.3-drbl1) unstable; urgency=low

  * The variable sys_pxelinux_required_c32 of drbl.conf was changed to 
    sys_pxelinux_v5p_required_c32.
  * Updating function put_syslinux_makeboot_for_usb_flash so that the 
    menu.c32/vesamenu.c32/chain.c32 will always the same version with 
    those downloaded c32 files.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 May 2013 21:04:53 +0800

## drbl 2.4.7

=== debian/changelog ===
drbl (2.4.7-drbl1) unstable; urgency=low

  * Bug fixed: We should not overwrite the /etc/init.d/networking of 
    Ubuntu's DRBL client. Since it's linked to /lib/init/upstart-job. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 May 2013 19:19:02 +0800

drbl (2.4.6-drbl1) unstable; urgency=low

  * Adding support for Debian Sid (ATM it's Jessie). The networking service
    for DRBL clients was added so that it's easier to deal with network 
    status file.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 May 2013 19:08:12 +0800
